package com.ruoyi.system.domain.invest;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会议记录对象 t_project_meeting
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
public class TProjectMeeting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 会议主题 */
    @Excel(name = "会议主题")
    private String meetingTheme;

    /** 会议编号 */
    @Excel(name = "会议编号")
    private String meetingCode;

    /** 类别 */
    @Excel(name = "类别")
    private String meetingType;

    /** 项目ID */
    private String projectPoolId;

    /** 会议开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会议开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 会议结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会议结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 会议地点 */
    @Excel(name = "会议地点")
    private String place;

    /** 会议发起人 */
    @Excel(name = "会议发起人")
    private String promoter;

    /** 会议参与人 */
    private String participants;

    /** 状态 */
    private String delFlag;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setMeetingTheme(String meetingTheme) 
    {
        this.meetingTheme = meetingTheme;
    }

    public String getMeetingTheme() 
    {
        return meetingTheme;
    }
    public void setMeetingCode(String meetingCode) 
    {
        this.meetingCode = meetingCode;
    }

    public String getMeetingCode() 
    {
        return meetingCode;
    }
    public void setMeetingType(String meetingType) 
    {
        this.meetingType = meetingType;
    }

    public String getMeetingType() 
    {
        return meetingType;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setPlace(String place) 
    {
        this.place = place;
    }

    public String getPlace() 
    {
        return place;
    }
    public void setPromoter(String promoter) 
    {
        this.promoter = promoter;
    }

    public String getPromoter() 
    {
        return promoter;
    }
    public void setParticipants(String participants) 
    {
        this.participants = participants;
    }

    public String getParticipants() 
    {
        return participants;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("meetingTheme", getMeetingTheme())
            .append("meetingCode", getMeetingCode())
            .append("meetingType", getMeetingType())
            .append("projectPoolId", getProjectPoolId())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("place", getPlace())
            .append("promoter", getPromoter())
            .append("participants", getParticipants())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
