package com.ruoyi.system.domain.invest;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目池对象 t_project_pool
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public class TProjectPool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */

    private String id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String porjectName;

    /** 所属组别 */
    @Excel(name = "所属组别")
    private String porjectGroup;

    /** 录入日期 */
    private Date recordDate;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String porjectCode;

    /** 渠道 */
    @Excel(name = "渠道")
    private String channel;

    /** 初次接触日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "初次接触日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date contactDate;

    /** 立项通过日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "立项通过日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date projectDate;

    /** 投决通过日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "投决通过日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date decisionDate;

    /** 项目所属行业 */
    @Excel(name = "项目所属行业")
    private String industry;

    /** 项目所属公司 */
    @Excel(name = "项目所属公司")
    private String company;

    /** 项目情况描述 */
    private String description;

    /** 项目联系人 */
    @Excel(name = "项目联系人")
    private String projectContacts;

    /** 投资负责人 */
    @Excel(name = "投资负责人")
    private String investHead;

    /** 历次融资 */
    @Excel(name = "历次融资")
    private String previousFinancing;

    /** 项目融资阶段 */
    @Excel(name = "项目融资阶段")
    private String financingStage;

    /** 融资条件 */
    private String financingCondition;

    /** 预期融资金额（万元） */
    @Excel(name = "预期融资金额", readConverterExp = "万=元")
    private String financingMoney;

    /** 预期融资时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预期融资时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date financingDate;

    /** 投资亮点 */
    private String investSparkle;

    /** 投前估值（万元） */
    @Excel(name = "投前估值", readConverterExp = "万=元")
    private String investValuation;

    /** 预计投资金额（万元） */
    @Excel(name = "预计投资金额", readConverterExp = "万=元")
    private String investMoney;

    /** 投资类型 */
    @Excel(name = "投资类型")
    private String investType;

    /** 投资策略 */
    @Excel(name = "投资策略")
    private String investPloy;

    /** 投资价值 */
    @Excel(name = "投资价值")
    private String investWorth;

    /** 股权架构 */
    private String shareholding;

    /** 项目阶段 */
    @Excel(name = "项目阶段")
    private String projectStage;

    /** 项目状态 */
    @Excel(name = "项目状态")
    private String projectState;

    /** 备注 */
    private String mark;

    /** 状态 */
    private String delFlag;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setPorjectName(String porjectName) 
    {
        this.porjectName = porjectName;
    }

    public String getPorjectName() 
    {
        return porjectName;
    }
    public void setPorjectGroup(String porjectGroup) 
    {
        this.porjectGroup = porjectGroup;
    }

    public String getPorjectGroup() 
    {
        return porjectGroup;
    }
    public void setRecordDate(Date recordDate) 
    {
        this.recordDate = recordDate;
    }

    public Date getRecordDate() 
    {
        return recordDate;
    }
    public void setPorjectCode(String porjectCode) 
    {
        this.porjectCode = porjectCode;
    }

    public String getPorjectCode() 
    {
        return porjectCode;
    }
    public void setChannel(String channel) 
    {
        this.channel = channel;
    }

    public String getChannel() 
    {
        return channel;
    }
    public void setContactDate(Date contactDate) 
    {
        this.contactDate = contactDate;
    }

    public Date getContactDate() 
    {
        return contactDate;
    }
    public void setProjectDate(Date projectDate) 
    {
        this.projectDate = projectDate;
    }

    public Date getProjectDate() 
    {
        return projectDate;
    }
    public void setDecisionDate(Date decisionDate) 
    {
        this.decisionDate = decisionDate;
    }

    public Date getDecisionDate() 
    {
        return decisionDate;
    }
    public void setIndustry(String industry) 
    {
        this.industry = industry;
    }

    public String getIndustry() 
    {
        return industry;
    }
    public void setCompany(String company) 
    {
        this.company = company;
    }

    public String getCompany() 
    {
        return company;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setProjectContacts(String projectContacts) 
    {
        this.projectContacts = projectContacts;
    }

    public String getProjectContacts() 
    {
        return projectContacts;
    }
    public void setInvestHead(String investHead) 
    {
        this.investHead = investHead;
    }

    public String getInvestHead() 
    {
        return investHead;
    }
    public void setPreviousFinancing(String previousFinancing) 
    {
        this.previousFinancing = previousFinancing;
    }

    public String getPreviousFinancing() 
    {
        return previousFinancing;
    }
    public void setFinancingStage(String financingStage) 
    {
        this.financingStage = financingStage;
    }

    public String getFinancingStage() 
    {
        return financingStage;
    }
    public void setFinancingCondition(String financingCondition) 
    {
        this.financingCondition = financingCondition;
    }

    public String getFinancingCondition() 
    {
        return financingCondition;
    }
    public void setFinancingMoney(String financingMoney) 
    {
        this.financingMoney = financingMoney;
    }

    public String getFinancingMoney() 
    {
        return financingMoney;
    }
    public void setFinancingDate(Date financingDate) 
    {
        this.financingDate = financingDate;
    }

    public Date getFinancingDate() 
    {
        return financingDate;
    }
    public void setInvestSparkle(String investSparkle) 
    {
        this.investSparkle = investSparkle;
    }

    public String getInvestSparkle() 
    {
        return investSparkle;
    }
    public void setInvestValuation(String investValuation) 
    {
        this.investValuation = investValuation;
    }

    public String getInvestValuation() 
    {
        return investValuation;
    }
    public void setInvestMoney(String investMoney) 
    {
        this.investMoney = investMoney;
    }

    public String getInvestMoney() 
    {
        return investMoney;
    }
    public void setInvestType(String investType) 
    {
        this.investType = investType;
    }

    public String getInvestType() 
    {
        return investType;
    }
    public void setInvestPloy(String investPloy) 
    {
        this.investPloy = investPloy;
    }

    public String getInvestPloy() 
    {
        return investPloy;
    }
    public void setInvestWorth(String investWorth) 
    {
        this.investWorth = investWorth;
    }

    public String getInvestWorth() 
    {
        return investWorth;
    }
    public void setShareholding(String shareholding) 
    {
        this.shareholding = shareholding;
    }

    public String getShareholding() 
    {
        return shareholding;
    }
    public void setProjectStage(String projectStage) 
    {
        this.projectStage = projectStage;
    }

    public String getProjectStage() 
    {
        return projectStage;
    }
    public void setProjectState(String projectState) 
    {
        this.projectState = projectState;
    }

    public String getProjectState() 
    {
        return projectState;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("porjectName", getPorjectName())
            .append("porjectGroup", getPorjectGroup())
            .append("recordDate", getRecordDate())
            .append("porjectCode", getPorjectCode())
            .append("channel", getChannel())
            .append("contactDate", getContactDate())
            .append("projectDate", getProjectDate())
            .append("decisionDate", getDecisionDate())
            .append("industry", getIndustry())
            .append("company", getCompany())
            .append("description", getDescription())
            .append("projectContacts", getProjectContacts())
            .append("investHead", getInvestHead())
            .append("previousFinancing", getPreviousFinancing())
            .append("financingStage", getFinancingStage())
            .append("financingCondition", getFinancingCondition())
            .append("financingMoney", getFinancingMoney())
            .append("financingDate", getFinancingDate())
            .append("investSparkle", getInvestSparkle())
            .append("investValuation", getInvestValuation())
            .append("investMoney", getInvestMoney())
            .append("investType", getInvestType())
            .append("investPloy", getInvestPloy())
            .append("investWorth", getInvestWorth())
            .append("shareholding", getShareholding())
            .append("projectStage", getProjectStage())
            .append("projectState", getProjectState())
            .append("mark", getMark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
