package com.ruoyi.system.domain.invest;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 跟进记录对象 t_project_record
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public class TProjectRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private String porjectId;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contacts;

    /** 实际跟进日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际跟进日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date realityUpDate;

    /** 跟进人 */
    @Excel(name = "跟进人")
    private String upPerson;

    /** 跟进方式 */
    @Excel(name = "跟进方式")
    private String upWay;

    /** 跟进内容 */
    private String upContent;

    /** 备注 */
    private String mark;

    /** 状态 */
    private String delFlag;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setPorjectId(String porjectId) 
    {
        this.porjectId = porjectId;
    }

    public String getPorjectId() 
    {
        return porjectId;
    }
    public void setContacts(String contacts) 
    {
        this.contacts = contacts;
    }

    public String getContacts() 
    {
        return contacts;
    }
    public void setRealityUpDate(Date realityUpDate) 
    {
        this.realityUpDate = realityUpDate;
    }

    public Date getRealityUpDate() 
    {
        return realityUpDate;
    }
    public void setUpPerson(String upPerson) 
    {
        this.upPerson = upPerson;
    }

    public String getUpPerson() 
    {
        return upPerson;
    }
    public void setUpWay(String upWay) 
    {
        this.upWay = upWay;
    }

    public String getUpWay() 
    {
        return upWay;
    }
    public void setUpContent(String upContent) 
    {
        this.upContent = upContent;
    }

    public String getUpContent() 
    {
        return upContent;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("porjectId", getPorjectId())
            .append("contacts", getContacts())
            .append("realityUpDate", getRealityUpDate())
            .append("upPerson", getUpPerson())
            .append("upWay", getUpWay())
            .append("upContent", getUpContent())
            .append("mark", getMark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
