package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.uuid.IdUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysFileMapper;
import com.ruoyi.system.domain.SysFile;
import com.ruoyi.system.service.ISysFileService;

/**
 * 附件Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
@Service
public class SysFileServiceImpl implements ISysFileService 
{
    @Autowired
    private SysFileMapper sysFileMapper;

    /**
     * 查询附件
     * 
     * @param id 附件主键
     * @return 附件
     */
    @Override
    public SysFile selectSysFileById(String id)
    {
        return sysFileMapper.selectSysFileById(id);
    }

    /**
     * 查询附件列表
     * 
     * @param sysFile 附件
     * @return 附件
     */
    @Override
    public List<SysFile> selectSysFileList(SysFile sysFile)
    {
        return sysFileMapper.selectSysFileList(sysFile);
    }

    /**
     * 新增附件
     * 
     * @param sysFile 附件
     * @return 结果
     */
    @Override
    public int insertSysFile(SysFile sysFile)
    {
        sysFile.setCreateTime(DateUtils.getNowDate());
        sysFile.setId(IdUtils.fastSimpleUUID());
        return sysFileMapper.insertSysFile(sysFile);
    }

    /**
     * 修改附件
     * 
     * @param sysFile 附件
     * @return 结果
     */
    @Override
    public int updateSysFile(SysFile sysFile)
    {
        sysFile.setUpdateTime(DateUtils.getNowDate());
        return sysFileMapper.updateSysFile(sysFile);
    }

    /**
     * 批量删除附件
     * 
     * @param ids 需要删除的附件主键
     * @return 结果
     */
    @Override
    public int deleteSysFileByIds(String[] ids)
    {
        return sysFileMapper.deleteSysFileByIds(ids);
    }

    /**
     * 删除附件信息
     * 
     * @param id 附件主键
     * @return 结果
     */
    @Override
    public int deleteSysFileById(String id)
    {
        return sysFileMapper.deleteSysFileById(id);
    }
}
