package com.ruoyi.system.service.invest;

import com.ruoyi.system.domain.invest.TProjectMeeting;

import java.util.List;

/**
 * 会议记录Service接口
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
public interface ITProjectMeetingService 
{
    /**
     * 查询会议记录
     * 
     * @param id 会议记录主键
     * @return 会议记录
     */
    public TProjectMeeting selectTProjectMeetingById(String id);

    /**
     * 查询会议记录列表
     * 
     * @param tProjectMeeting 会议记录
     * @return 会议记录集合
     */
    public List<TProjectMeeting> selectTProjectMeetingList(TProjectMeeting tProjectMeeting);

    /**
     * 新增会议记录
     * 
     * @param tProjectMeeting 会议记录
     * @return 结果
     */
    public int insertTProjectMeeting(TProjectMeeting tProjectMeeting);

    /**
     * 修改会议记录
     * 
     * @param tProjectMeeting 会议记录
     * @return 结果
     */
    public int updateTProjectMeeting(TProjectMeeting tProjectMeeting);

    /**
     * 批量删除会议记录
     * 
     * @param ids 需要删除的会议记录主键集合
     * @return 结果
     */
    public int deleteTProjectMeetingByIds(String[] ids);

    /**
     * 删除会议记录信息
     * 
     * @param id 会议记录主键
     * @return 结果
     */
    public int deleteTProjectMeetingById(String id);
}
