package com.ruoyi.system.service.invest;

import com.ruoyi.system.domain.invest.TProjectPool;

import java.util.List;

/**
 * 项目池Service接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface ITProjectPoolService 
{
    /**
     * 查询项目池
     * 
     * @param id 项目池主键
     * @return 项目池
     */
    public TProjectPool selectTProjectPoolById(String id);

    /**
     * 查询项目池列表
     * 
     * @param tProjectPool 项目池
     * @return 项目池集合
     */
    public List<TProjectPool> selectTProjectPoolList(TProjectPool tProjectPool);

    /**
     * 新增项目池
     * 
     * @param tProjectPool 项目池
     * @return 结果
     */
    public int insertTProjectPool(TProjectPool tProjectPool);

    /**
     * 修改项目池
     * 
     * @param tProjectPool 项目池
     * @return 结果
     */
    public int updateTProjectPool(TProjectPool tProjectPool);

    /**
     * 批量删除项目池
     * 
     * @param ids 需要删除的项目池主键集合
     * @return 结果
     */
    public int deleteTProjectPoolByIds(String[] ids);

    /**
     * 删除项目池信息
     * 
     * @param id 项目池主键
     * @return 结果
     */
    public int deleteTProjectPoolById(String id);
}
