package com.ruoyi.system.service.invest.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.uuid.IdUtils;
import com.ruoyi.system.domain.invest.TProjectMeeting;
import com.ruoyi.system.mapper.invest.TProjectMeetingMapper;
import com.ruoyi.system.service.invest.ITProjectMeetingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 会议记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
@Service
public class TProjectMeetingServiceImpl implements ITProjectMeetingService
{
    @Autowired
    private TProjectMeetingMapper tProjectMeetingMapper;

    /**
     * 查询会议记录
     * 
     * @param id 会议记录主键
     * @return 会议记录
     */
    @Override
    public TProjectMeeting selectTProjectMeetingById(String id)
    {
        return tProjectMeetingMapper.selectTProjectMeetingById(id);
    }

    /**
     * 查询会议记录列表
     * 
     * @param tProjectMeeting 会议记录
     * @return 会议记录
     */
    @Override
    public List<TProjectMeeting> selectTProjectMeetingList(TProjectMeeting tProjectMeeting)
    {
        return tProjectMeetingMapper.selectTProjectMeetingList(tProjectMeeting);
    }

    /**
     * 新增会议记录
     * 
     * @param tProjectMeeting 会议记录
     * @return 结果
     */
    @Override
    public int insertTProjectMeeting(TProjectMeeting tProjectMeeting)
    {
        tProjectMeeting.setCreateTime(DateUtils.getNowDate());
        tProjectMeeting.setId(IdUtils.fastSimpleUUID());
        return tProjectMeetingMapper.insertTProjectMeeting(tProjectMeeting);
    }

    /**
     * 修改会议记录
     * 
     * @param tProjectMeeting 会议记录
     * @return 结果
     */
    @Override
    public int updateTProjectMeeting(TProjectMeeting tProjectMeeting)
    {
        tProjectMeeting.setUpdateTime(DateUtils.getNowDate());
        return tProjectMeetingMapper.updateTProjectMeeting(tProjectMeeting);
    }

    /**
     * 批量删除会议记录
     * 
     * @param ids 需要删除的会议记录主键
     * @return 结果
     */
    @Override
    public int deleteTProjectMeetingByIds(String[] ids)
    {
        return tProjectMeetingMapper.deleteTProjectMeetingByIds(ids);
    }

    /**
     * 删除会议记录信息
     * 
     * @param id 会议记录主键
     * @return 结果
     */
    @Override
    public int deleteTProjectMeetingById(String id)
    {
        return tProjectMeetingMapper.deleteTProjectMeetingById(id);
    }
}
