import request from '@/utils/request'

// 查询会议记录列表
export function listMeeting(query) {
  return request({
    url: '/invest/meeting/list',
    method: 'get',
    params: query
  })
}

// 查询会议记录详细
export function getMeeting(id) {
  return request({
    url: '/invest/meeting/' + id,
    method: 'get'
  })
}

// 新增会议记录
export function addMeeting(data) {
  return request({
    url: '/invest/meeting',
    method: 'post',
    data: data
  })
}

// 修改会议记录
export function updateMeeting(data) {
  return request({
    url: '/invest/meeting',
    method: 'put',
    data: data
  })
}

// 删除会议记录
export function delMeeting(id) {
  return request({
    url: '/invest/meeting/' + id,
    method: 'delete'
  })
}
