import request from '@/utils/request'

// 查询项目池列表
export function listPool(query) {
  return request({
    url: '/invest/pool/list',
    method: 'get',
    params: query
  })
}

// 查询项目池详细
export function getPool(id) {
  return request({
    url: '/invest/pool/' + id,
    method: 'get'
  })
}

// 新增项目池
export function addPool(data) {
  return request({
    url: '/invest/pool',
    method: 'post',
    data: data
  })
}

// 修改项目池
export function updatePool(data) {
  return request({
    url: '/invest/pool',
    method: 'put',
    data: data
  })
}

// 删除项目池
export function delPool(id) {
  return request({
    url: '/invest/pool/' + id,
    method: 'delete'
  })
}
